package com.goldenwater.slgc.mapper;

import java.util.List;
import com.goldenwater.slgc.domain.ObjPust;
import org.apache.ibatis.annotations.Mapper;

/** 水闸对象 Mapper */
@Mapper
public interface ObjPustMapper {
    /**
     * 查询水闸对象列表
     * 
     * @param objPust 查询条件
     * @return 水闸对象列表
     */
    public List<ObjPust> selectObjPustList(ObjPust objPust);

    /**
     * 通过编码查询水闸对象
     * 
     * @param pustCode 水闸编码
     * @return 水闸对象
     */
    public ObjPust selectObjPustById(String pustCode);

    /**
     * 通过编码删除水闸对象
     * 
     * @param pustCode 水闸编码
     * @return 影响行数
     */
    public int deleteObjPustById(String pustCode);

    /**
     * 新增水闸对象
     * 
     * @param objPust 水闸对象
     * @return 影响行数
     */
    public int insertObjPust(ObjPust objPust);

    /**
     * 修改水闸对象
     * 
     * @param objPust 水闸对象
     * @return 影响行数
     */
    public int updateObjPust(ObjPust objPust);
}
